#
# spec file for package authldap (Version 1.6.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm openldap2 openldap2-client openldap2-devel openssl
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         authldap
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_serverroot %(apxs -q PREFIX)
%define apache_version    %(rpm -q --queryformat '%%{version}-%%{release}' apache)
Copyright:    Apache-like, 1995-2001 Dave Carrigan
Group:        Networking/Daemons
Requires:     apache = %{apache_version}
Conflicts:    mod_ssl
Autoreqprov:  on
Version:      1.6.0
Release:      60
Summary:      The Apache auth_ldap Module
URL:          http://www.rudedog.org/auth_ldap/
Icon:         auth_ldap.xpm
Source:       http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.bz2
Patch:	      auth_ldap-%{version}.dif

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using user entries in an LDAP directory.
The latest version and the change log is always available at
http://www.rudedog.org/auth_ldap/

Authors:
--------
    Dave Carrigan <dave@rudedog.org>

SuSE series: n

%prep 
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%setup -n auth_ldap-%{version}
%patch 

%build
#
# RPM Optflags are taken from Apache configuration via APXS
#
autoconf
LDFLAGS="-lldap" ./configure --with-apxs="`which apxs`" --with-shared-cache --with-frontpage --with-ldap-sdk=openldap
make
strip auth_ldap.so

%install
make install
echo -e "Variable:HTTPD_SEC_MOD_LDAP\nText:LDAP\nLoadModule:LoadModule auth_ldap_module %{apache_libexecdir}/auth_ldap.so\nAddModule:AddModule auth_ldap.c\n" \
        > %{apache_sysconfdir}/modules/%{name}
install -m 644 apache.rc.config %{_var}/adm/fillup-templates/apache-%{name}.rc.config
#
# test module for API integrity
#
echo -e "LoadModule auth_ldap_module %{apache_libexecdir}/auth_ldap.so\n" > %{apache_sysconfdir}/suse_loadmodule.conf
echo -e "AddModule auth_ldap.c\n" > %{apache_sysconfdir}/suse_addmodule.conf
%{_sbindir}/httpd -t || exit 1

%files
%doc PROBLEMS FAQ.html faq.*
%doc future-directions.html 
%doc Changes.html 
%doc auth_ldap.html
%{apache_libexecdir}/auth_ldap.so
%{_var}/adm/fillup-templates/apache-%{name}.rc.config
%{apache_sysconfdir}/modules/%{name}

%post
echo -n "Updating etc/rc.config.d/apache.rc.config..."
if [ -x bin/fillup ] ; then
        test -e etc/rc.config.d/apache.rc.config || touch etc/rc.config.d/apache.rc.config
        bin/fillup -q -d = etc/rc.config.d/apache.rc.config var/adm/fillup-templates/apache-%{name}.rc.config
        echo " Done."
else
        echo
        echo "ERROR: fillup not found. This should not happen. Please compare"
        echo "etc/rc.config.d/apache.rc.config and "
        echo "var/adm/fillup-templates/apache-%{name}.rc.config and update by hand."
fi

%changelog -n authldap
* Fri Sep 14 2001 - poeml@suse.de
- add Conflicts: mod_ssl [#9338]
* Mon Sep 10 2001 - rolf@suse.de
- Update to version 1.6.0
- disable LDAP module by default in apache.rc.config
- bzip2 sources
* Wed Mar 21 2001 - rolf@suse.de
- update to version 1.4.8 [BUG#6663]
- added rc.config and module files for SuSEconfig.apache
* Thu Mar 15 2001 - kukuk@suse.de
- Remove bogus ldaplib from Requires
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild for openldap2
- hacked to compile
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Jun 23 2000 - rolf@suse.de
- new version 1.4.3
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Mon Apr 03 2000 - rolf@suse.de
- new version 1.4.2
* Mon Mar 27 2000 - rolf@suse.de
- minor improvements, no new version yet
* Fri Oct 01 1999 - rolf@suse.de
- renamed package to authldap
* Tue Sep 28 1999 - rolf@suse.de
- initial release, version 1.4.0
